Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation
Class AnnotationDefault.AnnotationDefaultImpl

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.AnnotationDefault.AnnotationDefaultImpl

All Implemented Interfaces:
  Annotation, AnnotationDefault

Enclosing interface:
  AnnotationDefault

    public static class AnnotationDefault.AnnotationDefaultImpl

extends Object
implements AnnotationDefault, Annotation

Annotation implementation, since we will not use our Java 5 dynamic proxy based architecture for it

Author:
  Alexandre Vasseur

Nested Class Summary

Nested classes/interfaces inherited from interface org.codehaus.aspectwerkz.annotation.AnnotationDefault
`AnnotationDefault.AnnotationDefaultImpl`

Field Summary

Fields inherited from interface org.codehaus.aspectwerkz.annotation.AnnotationDefault
`NAME`

Constructor Summary
`AnnotationDefault.AnnotationDefaultImpl(Object value)`

Method Summary
`Class` | `annotationType()` Returns the annotation type - @[type].
`Object` | `value()` The default value of the annotation element marked with the AnnotationDefault attribute Note: for Class it will be an instance of asm.Type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationDefault.AnnotationDefaultImpl

    public AnnotationDefault.AnnotationDefaultImpl(Object value)

Method Detail

### value

    public Object value()

  Description copied from interface: `AnnotationDefault`
  The default value of the annotation element marked with the AnnotationDefault attribute Note: for Class it will be an instance of asm.Type

  Specified by:
    `value` in interface `AnnotationDefault`
  Returns:

### annotationType

    public Class annotationType()

  Description copied from interface: `Annotation`
  Returns the annotation type - @[type].

  Specified by:
    `annotationType` in interface `Annotation`
  Returns:
    the type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.